Package org.codehaus.janino

# Class CodeContext.Inserter

java.lang.Object
org.codehaus.janino.CodeContext.Offset
org.codehaus.janino.CodeContext.Inserter

Enclosing class:
  `CodeContext`

public class CodeContext.Inserter extends CodeContext.Offset
A class that implements an insertion point into a "Code" attribute.

## Constructor Summary

Constructors
Constructor
Description
`Inserter()`

## Method Summary

### Methods inherited from class org.codehaus.janino.CodeContext.Offset

`getCodeContext, getStackMap, set, setBasicBlock, setOffset, setStackMap, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Inserter

public Inserter()